using System;
using System.Collections.Generic;
using System.Text;

namespace Administration
{
    public class ComplexFortress : SimpleFortress
    {
        private double[] position;

        private List<SimpleItem> items;

        public List<SimpleItem> Items
        {
            get
            {
                return items;
            }
        }

        public double[] Position
        {
            get
            {
                return position;
            }
        }

        public double X
        {
            get
            {
                return position[0];
            }
        }

        public double Y
        {
            get
            {
                return position[1];
            }
        }

        public ComplexFortress(ulong id, string name, double x, double y) 
            : base(id, name)
        {
            items = new List<SimpleItem>();
            position = new double[] { x, y };
        }
    }
}
